Loading...
Searching...
No Matches
gtsam::BearingRange< A1, A2, B, R > Struct Template Reference

## Detailed Description

template<typename A1, typename A2, typename B = typename Bearing<A1, A2>::result_type, typename R = typename Range<A1, A2>::result_type>
struct gtsam::BearingRange< A1, A2, B, R >

Bearing-Range product for a particular A1,A2 combination will use the functors above to create a similar functor of type A1*A2 -> pair<Bearing::return_type,Range::return_type> For example BearingRange<Pose2,Point2>(pose,point) will return pair<Rot2,double> and BearingRange<Pose3,Point3>(pose,point) will return pair<Unit3,double>.

## Manifold

typedef Eigen::Matrix< double, dimension, 1 > | TangentVector
typedef OptionalJacobian< dimension, dimension > | ChartJacobian
size_t | dim () const
BearingRange | retract (const TangentVector &xi) const
| Retract delta to manifold.
TangentVector | localCoordinates (const BearingRange &other) const
| Compute the coordinates in the tangent space.
static size_t | Dim ()

## Advanced Interface

class | boost::serialization::access

## Standard Interface

const B & | bearing () const
| Return bearing measurement.
const R & | range () const
| Return range measurement.
static BearingRange | Measure (const A1 &a1, const A2 &a2, OptionalJacobian< dimension, traits< A1 >::dimension > H1=boost::none, OptionalJacobian< dimension, traits< A2 >::dimension > H2=boost::none)
| Prediction function that stacks measurements.
static B | MeasureBearing (const A1 &a1, const A2 &a2)
| Predict bearing.
static R | MeasureRange (const A1 &a1, const A2 &a2)
| Predict range.

## Public Member Functions

Standard Constructors
| BearingRange (const B &b, const R &r)
Testable
void | print (const std::string &str="") const
bool | equals (const BearingRange< A1, A2 > &m2, double tol=1e-8) const

## Public Types

enum | { dimB = traits<B>::dimension }
enum | { dimR = traits<R>::dimension }
enum | { dimension = dimB + dimR }

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/BearingRange.h